Nerupa, who lives under the Mother Tree in the north end of the village, will usually have some small task for you. You should befriend her, for she will usually be of help to you. By all means, stop to see her whenever you can, and perform whatever errands she may ask.
Near the southwestern gate, Pixy Murika is seeking help. She worries that the forest has been unbalanced since keltirs and wolves began to multiply.
Return